# EventSink<T> class

A Sink that supports adding errors.

This makes it suitable for capturing the results of asynchronous computations, which can complete with a value or an error.

The EventSink has been designed to handle asynchronous events from Streams. See, for example, Stream.eventTransformed which uses `EventSink`s to transform events.

Implemented types
  - Sink<T>
Implementers
  - StreamSink

## Constructors

EventSink()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

add(T event) → void
  Adds a data `event` to the sink. [...]
  override
addError(Object error, [ StackTrace stackTrace ]) → void
  Adds an `error` to the sink. [...]
close() → void
  Closes the sink. [...]
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited